x11/rofi - The NetBSD Packages Collection

Window switcher, run dialog and dmenu replacement

A popup window switcher roughly based on superswitcher. This version started
off as a clone of simpleswitcher, the version from Sean Pringle. All credit for
this great tool should go to him. Rofi developed extra features, like a
run-dialog, ssh-launcher and can act as a drop-in dmenu replacement, making it
a very versatile tool.

Using Rofi is a lot like dmenu, but extended for an improved work flow.

Build dependencies

pkgtools/x11-links x11/xorgproto x11/xcb-proto pkgtools/cwrappers devel/glib2-tools shells/bash devel/bison devel/pkgconf

Runtime dependencies

devel/check devel/glib2 devel/pango graphics/librsvg x11/libxkbcommon x11/startup-notification x11/xcb-util x11/xcb-util-wm x11/xcb-util-xrm devel/glib2 devel/pango graphics/librsvg x11/libxkbcommon x11/startup-notification

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfrofi-1.6.1.tgz
NetBSD 8.0earmv7hfrofi-1.6.1.tgz
NetBSD 8.0powerpcrofi-1.5.4nb2.tgz
NetBSD 8.0x86_64rofi-1.5.4nb2.tgz
NetBSD 8.0x86_64rofi-1.6.1.tgz
NetBSD 9.0aarch64rofi-1.6.1.tgz
NetBSD 9.0aarch64rofi-1.5.4nb2.tgz
NetBSD 9.0aarch64rofi-1.6.1.tgz
NetBSD 9.0alpharofi-1.6.1.tgz
NetBSD 9.0alpharofi-1.6.1.tgz
NetBSD 9.0earmv6hfrofi-1.6.1.tgz
NetBSD 9.0earmv6hfrofi-1.6.1.tgz
NetBSD 9.0earmv6hfrofi-1.6.1.tgz
NetBSD 9.0earmv7hfrofi-1.6.1.tgz
NetBSD 9.0earmv7hfrofi-1.6.1.tgz
NetBSD 9.0earmv7hfrofi-1.6.1.tgz
NetBSD 9.0i386rofi-1.5.4nb2.tgz
NetBSD 9.0i386rofi-1.6.1.tgz
NetBSD 9.0i386rofi-1.6.1.tgz
NetBSD 9.0powerpcrofi-1.6.1.tgz
NetBSD 9.0sparc64rofi-1.5.4nb2.tgz
NetBSD 9.0x86_64rofi-1.5.4nb3.tgz
NetBSD 9.0x86_64rofi-1.6.1.tgz
NetBSD 9.0x86_64rofi-1.6.1.tgz
NetBSD 9.0x86_64rofi-1.5.4nb2.tgz
NetBSD 9.0x86_64rofi-1.6.1.tgz
NetBSD 9.0x86_64rofi-1.6.1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.